# This sed script removes known warnings for the benefit of Xenofarm.

# FIXME (bug 976): Lots of warnings from regex.c.
/regex\.c/d

# glibc-2.1.2/gcc-2.95.2 on gratia.
/\/usr\/include\/inttypes.h:427: warning: function returns an aggregate/d
/\/usr\/include\/inttypes.h:428: warning: function call has aggregate value/d

# The Intel C++ compiler doesn't like the -M options that
# automake-1.7.2 uses to create dependency information.
/icc: Command line warning: ignoring option '-M'; no argument required/d
/icc: Command line warning: no action performed for specified object file(s)/d

# flex-2.5.4 generates some unused stuff.
/aux-item-def-scan.c:.*: warning: label `find_rule' defined but not used/d
/aux-item-def-scan.c:.*: warning: `yy_flex_realloc' defined but not used/d
/aux-item-def-scan.c:.*: warning: `yyunput' defined but not used/d

# Quoted from src/server/getopt.h:
#   /* Many other libraries have conflicting prototypes for getopt, with
#      differences in the consts, in stdlib.h.  To avoid compilation
#      errors, only prototype getopt for the GNU C library.  */
/getopt\.h:104: warning: function declaration isn't a prototype/d

# When compiling on a system that doesn't use the GNU C library,
# getopt.c uses non-prototype declarations of several library functions.
# Example: AIX 4.2 on hal.lysator.liu.se.
/getopt\.c:.*: warning: function declaration isn't a prototype/d

# This is a harmless comparison of the return value of strlen() and
# a difference between two pointers.  Warning created on AIX 4.3 with
# gcc 3.2 (castafiore.lysator.liu.se).
/getopt\.c:461: warning: comparison between signed and unsigned/d

# This is a false warning from gcc 3.2 (seen oon AIX 4.3,
# castafiore.lysator.liu.se).
/getopt\.c:451: warning: `indfound' might be used uninitialized in this function/d

# On AIX 4.3, with the /usr/vac/bin/cc compiler, sig_atomic_t is
# apparently a volatile type.  The lyskom-server code uses "volatile
# sig_atomic_t", since many systems exists where sig_atomic_t isn't
# volatile, and this results in the warnings below.
# Seen on dupond.lysator.liu.se.
/"sigflags\.h", line .*: 1506-112 (W) Duplicate type qualifier "volatile" ignored\./d
/"connections\.c", line .*: 1506-112 (W) Duplicate type qualifier "volatile" ignored\./d

# Linux on ia64. gcc-2.96. soyokaze.roxen.com as of 2003-01-18.
/\/usr\/include\/bits\/socket\.h:271: warning: cast increases required alignment of target type/d

# Linux on ia64 with the ecc compiler.  soyokaze.roxen.com as of 2003-01-18.
/warning #688: "format" is an unrecognized __declspec attribute/
